@use '../colors' as *;
@use '../spacing' as *;

.pagination {
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 0;
}

.pagination a {
    margin: 0;
    padding: 0;
    color: $FONT-PRIMARY;
    text-decoration: none;
    text-align: center;
    border: 1px solid $FOREGROUND-SECONDARY;
    height: $DEFAULT-SPACING * 3;
    width: $DEFAULT-SPACING * 4;
    line-height: $DEFAULT-SPACING * 3;
}

.pagination a.active {
    background-color: $BACKGROUND-HIGHLIGHT;
    color: $FOREGROUND-PRIMARY;
}

.pagination a:hover:not(.active) {
    background-color: $BACKGROUND-HIGHLIGHT;
}

.pagination a:first-child {
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

.pagination a:last-child {
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}